//----------------------------------------------------------------------------------------------------
//
//	DefaultSubInspector
//
//	Inherits From:		Object
//
//	Declared In:		DefaultSubInspector.h
//
//	Disclaimer
//
//		You may freely copy, distribute and reuse this software and its
//		associated documentation. I disclaim any warranty of any kind, 
//		expressed or implied, as to its fitness for any particular use.
//
//----------------------------------------------------------------------------------------------------
#import "DefaultSubInspector.h"


@implementation DefaultSubInspector


//----------------------------------------------------------------------------------------------------
//  Initialization and Free Methods
//----------------------------------------------------------------------------------------------------
+ new
{
	// 'new' because this is how WMInspector does it.  (We'll call 
	//  alloc/init though, as not sure what WMInspector's new did).	
        return [[super allocFromZone: [self zone]] init];
}


//----------------------------------------------------------------------------------------------------
//  Accessing Inspection View
//----------------------------------------------------------------------------------------------------
- inspectorView
{
	[self clearInspectorView];
	return [inspectorView contentView];
}


- clearInspectorView
{
	return self;
}


//----------------------------------------------------------------------------------------------------
//  Inspection Methods
//----------------------------------------------------------------------------------------------------
- inspect: (STR) path
{
	return self;
}


- inspectionError: (STR)path
{
	[self clearInspectorView];
	NXRunAlertPanel (NULL, "Unable to inspect %s!", NULL, NULL, NULL, path);
	return self;
}


@end